This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 48092 - Oracle 9i on Redhat 7.1
Oracle 9i on Redhat 7.1
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
http://otn.oracle.com/software/produc...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-09 12:43 EDT by Greg Morgan
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-09 12:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2001-07-09 12:43:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Ok so I have been watching bug 18391 and some others concerning Oracle 8i 
products on Red Hat 7.x.  Oracle has just announced, June 1, 2001, that 
Oracle 9i is available.  Oracle has certified 9i for SuSe 7.1, Kernel 
2.4.4, glibc 2.2 and binutils 2.10. (See 
http://technet.oracle.com/docs/products/oracle9i/pdf/9i_lin_relnotes.pdf 
page 3, and 
http://otn.oracle.com/software/products/oracle9i/content.html ) I find 
some of this certification stuff humorous. I don't think SuSe will support 
you if you compile your own kernel.  Morover, I don't recall SuSe 7.1 
coming with kernel 2.4.4 out of the box.  I know enough ranting. :)  I am 
making a nice little kickstart file to create Red Hat 7.1 platforms for 
Oracle.  I am reading the Oracle release notes and install notes, etc.  I 
am obtaining all the RPMs to bring the rh71 box set current. I querried 
the RPMs listed on the stock rh71: binutils 2.10.91.02.2-3; make 3.79.1-5; 
kernel 2.4.2-2; glibc 2.2.2-10.  The only point Oracle could find rh71 
lacking is in the kernel version.  I see via errata 
http://www.redhat.com/support/errata/RHSA-2001-084.html that a new kernel 
has been released for rh71.  For the life of me I can't tell what 2.4.3-12 
means.  Is this the 2.4.4 kernel then? Or is Red Hat preparing a 2.4.4 RPM 
for 7.1 that will meet Oracle's requirements? And what's the point with 
2.4.4 when the 2.4.6 kernel has been released?  Finally, can anyone point 
me to a document decipering what the 3-12 means in 2.4?  I am sure it has 
to do with patching the kernel, but I don't know Red Hat's specific naming 
system.  My hat's off to Oracle to move on to glibc 2.2.  I just wish it 
was sooner that now.


How reproducible:
Always

Steps to Reproduce:
1..
2.
3.
	

Additional info:
Comment 1 Jakub Jelinek 2001-07-12 05:51:47 EDT
I don't know what exact Oracle requirements are. I believe it is just
package versions Oracle has been tested with. So the best thing you can do
is to test it out and see if it works.
Red Hat kernels are heavily patched, so you really cannot compare Linus versions
with Red Hat version. 2.4.3-12 means the kernel is based on 2.4.3-acN but
there are many patches which are present in 2.4.4 too.
As for why there is no 2.4.6 errata for 7.1 - the reason is simple. We do
a lot of kernel testing which takes some time and only if kernel passes all
the tests it is released (otherwise the bugs are fixed and the process is
repeated).
There is a 2.4.6-2 kernel in rawhide I believe, but as with anything in rawhide,
you're on your own with it.
Note that I don't know what exact JVM Oracle 9i uses, if it is not fixed
for floating pthread stacks, then you might want to use LD_ASSUME_KERNEL=2.2.5
environment variable.

Note You need to log in before you can comment on or make changes to this bug.